Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Public Member Functions | List of all members
LatBuilder::SizeParam< LatType::ORDINARY > Class Template Reference

Ordinary lattice size parameter. More...

`#include <SizeParam-ORDINARY.h>`

Inherits LatBuilder::BasicSizeParam< SizeParam< LatType::ORDINARY > >.

## Public Member Functions
| SizeParam (Modulus numPoints=0)
template<LatType L>
| SizeParam (const SizeParam< L > &other)
size_t | totient () const
| Returns the value of Euler's totient function. More...
void | normalize (Real &merit) const
| Divides the merit value `merit` by the number of points.
void | normalize (RealVector &merit) const
| Divides the each merit value in `merit` by the number of points.
std::ostream & | format (std::ostream &os) const
Public Member Functions inherited from LatBuilder::BasicSizeParam< SizeParam< LatType::ORDINARY > >
| BasicSizeParam (Modulus numPoints)
Modulus | numPoints () const
| operator Modulus () const
size_t | totient () const
| Returns the value of Euler's totient function. More...
bool | operator== (const BasicSizeParam< D > &other) const
bool | operator!= (const BasicSizeParam< D > &other) const
bool | operator< (const BasicSizeParam< D > &other) const
void | normalize (Real &merit) const
| Divides the merit value `merit` by the number of points.
void | normalize (RealVector &merit) const
| Divides the each merit value in `merit` by the number of points.

## Additional Inherited Members
Protected Member Functions inherited from LatBuilder::BasicSizeParam< SizeParam< LatType::ORDINARY > >
| BasicSizeParam (const BasicSizeParam &)=default

## Detailed Description

### template<>
class LatBuilder::SizeParam< LatType::ORDINARY >

Ordinary lattice size parameter.

Examples:
  quantiles.cc, tutorial/FilteredCBC.cc, tutorial/GenSeqVector.cc, tutorial/LatDef.cc, tutorial/LatSeqCBC.cc, tutorial/LatSeqCBC1.cc, tutorial/LatSeqExhaustive.cc, tutorial/LatSeqKorobov.cc, tutorial/LatSeqRandom.cc, tutorial/MeritSeqCoordUniform.cc, and tutorial/MeritSeqFastCBC.cc.

## Member Function Documentation

size_t LatBuilder::SizeParam< LatType::ORDINARY >::totient | ( |  | ) | const

Returns the value of Euler's totient function.

It is the number of positive integers that are smaller than and coprime to the number of points.

The documentation for this class was generated from the following file:

- latbuilder/include/latbuilder/SizeParam-ORDINARY.h